commit 6f08060518a49b2b1eaf89100a07068eba3b30a9
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Feb 5 00:23:06 2025 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 9be659a9cfd..e9825778341 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250204
+20250205
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 368ee43576d..80717a63753 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,13 @@
+2025-02-04  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-06  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/117434
+	* interface.cc (gfc_compare_actual_formal): Skip 'Expected a
+	procedure pointer error' if the formal argument typespec has an
+	interface and the type of the actual arg is BT_PROCEDURE.
+
 2025-01-31  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f4f139b3940..b26cc157e15 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,14 @@
+2025-02-04  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-06  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/117434
+	* gfortran.dg/proc_ptr_54.f90: New test. This is temporarily
+	compile-only until one one seven four five five is fixed.
+	* gfortran.dg/proc_ptr_55.f90: New test.
+	* gfortran.dg/proc_ptr_56.f90: New test.
+
 2025-02-03  Lewis Hyatt  <lhyatt@gmail.com>
 
 	PR middle-end/115913

